%define major 0
%define kraftlib %mklibname kraft %major

Name:           kraft
Url:            http://volle-kraft-voraus.de/Main/Kraft
Version:        0.53
Release:        %mkrel 3
License:        GPLv2
Summary:        KDE software to manage office documents in the office
Group:          Graphical desktop/KDE
Source0:       	http://downloads.sourceforge.net/%name/%name-%version.tar.bz2
Patch0:         kraft-0.53-cvs-cmake.patch
BuildRequires:  kdepimlibs4-devel
BuildRequires:  pkgconfig(libctemplate)

# Needed by the tools/erml2pdf.py python script
Requires:       python-reportlab
Requires:       python-pypdf


%description
Kraft is a free software project that helps to create and handle office
documents in small enterprises. In a workshop or any similar company 
daily tasks can be done in a smart manner.

Provided features are:
 -Customer management, deeply integrated in the KDE infrastructure using
  KAddressbook
 -Automated creation of offers, invoices and similar documents
 -Text templates
 -Calculation
 -Material management
 -Configurable document creation in PDF format 


%files -f %{name}.lang
%doc AUTHORS COPYING README Releasenotes.txt TODO
%{_kde_bindir}/kraft
%{_kde_datadir}/config.kcfg/kraftsettings.kcfg
%{_kde_datadir}/config.kcfg/databasesettings.kcfg
%{_kde_iconsdir}/*/*/apps/*.png
%{_kde_appsdir}/kraft/*
%{_kde_applicationsdir}/kraft.desktop

#------------------------------------------------------------------------------

%package -n %{kraftlib}
Summary: Runtime library for kraft
Group:   System/Libraries
Obsoletes: %{_lib}kraft < 0.51-2

%description -n %{kraftlib}
Kraft is a free software project that helps to create and handle office
documents in small enterprises. In a workshop or any similar company
daily tasks can be done in a smart manner.

This packages provides the runtime library for kraft

%files -n %{kraftlib}
%{_kde_libdir}/libkraftcat.so.%{major}
%{_kde_libdir}/libkraftcat.so.%{major}.*

#------------------------------------------------------------------------------

%prep
%setup -q
%patch0 -p1 -b .cmake
%build
%cmake_kde4 
%make

%install
%makeinstall_std -C build
%find_lang %{name}

rm -f %{buildroot}%{_kde_libdir}/libkraftcat.so
chmod 755 %{buildroot}%{_kde_appsdir}/kraft/tools/erml2pdf.py


%changelog
* Tue Oct 29 2013 bersuit <bersuit> 0.53-3.mga4
+ Revision: 547882
- Added upstream patch provided in #mga9650

* Tue Oct 22 2013 umeabot <umeabot> 0.53-2.mga4
+ Revision: 541366
- Mageia 4 Mass Rebuild

* Sat Oct 12 2013 fwang <fwang> 0.53-1.mga4
+ Revision: 495763
- update file list
- new version 0.53

* Sun Oct 06 2013 fwang <fwang> 0.51-2.mga4
+ Revision: 492076
- lock libmajor
- drop development file

* Tue Oct 01 2013 bersuit <bersuit> 0.51-1.mga4
+ Revision: 490052
- Update to new upstream version 0.51

* Sun Aug 18 2013 fwang <fwang> 0.50-1.mga4
+ Revision: 467473
- update file list
- disable patch apply
- new version 0.50

* Sat Jan 12 2013 umeabot <umeabot> 0.45-3.mga3
+ Revision: 356459
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Aug 06 2012 fwang <fwang> 0.45-2.mga3
+ Revision: 279440
- rebuild for new ctemplate

* Wed Nov 09 2011 mikala <mikala> 0.45-1.mga2
+ Revision: 165701
- Rediff patch0
- Update tarball to 0.45

* Tue Nov 08 2011 mikala <mikala> 0.44-1.mga2
+ Revision: 165400
- imported package kraft

